View Issue Details

IDProjectCategoryView StatusLast Update
0024821LazarusLCLpublic2013-08-09 15:10
ReporterBigChimpAssigned ToBart Broersma 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx64 (with x86 compiler)OSWindowsOS VersionWindows 7
Product Version1.1 (SVN)Product Build 
Target Version1.2.0Fixed in Version 
Summary0024821: No documentation for FindAllFiles file selection mask format
DescriptionSee issue 0024771 FindAllFiles fails to find my file: c:\1\28 may and others.

and remark
http://bugs.freepascal.org/view.php?id=24771#c69018

There is no documentation on how you should specify the FindAllFiles mask.

The format should be documented, especially because it is apparently platform-specific.
TagsNo tags attached.
Fixed in Revisionr42371
LazTarget1.2
WidgetsetWin32/Win64
Attached Files
  • findallfiles.doc.diff (1,337 bytes)
    Index: docs/xml/lazutils/fileutil.xml
    ===================================================================
    --- docs/xml/lazutils/fileutil.xml	(revision 42124)
    +++ docs/xml/lazutils/fileutil.xml	(working copy)
    @@ -1119,6 +1119,9 @@
           <!-- function result Visibility: default -->
           <element name="FindAllFiles.Result">
             <short>List of found files.</short>
    +        <descr>List (TStringList) of found files.
    +        The StringList is instantiated by the FindAllFiles function, so you should not instatiate it before calling
    +        the function.</descr>
           </element>
           <!-- argument Visibility: default -->
           <element name="FindAllFiles.SearchPath">
    @@ -1126,7 +1129,10 @@
           </element>
           <!-- argument Visibility: default -->
           <element name="FindAllFiles.SearchMask">
    -        <short>Mask which file should match.</short>
    +        <short>A list of masks, separated by a semicolon (;) to which found files should match.</short>
    +        <descr>A list of masks, separated by a semicolon (;) to which found files should match.
    +        The mask can contain wildcards like * and ? and it also supports sets like [a-d,x].
    +        See the Masks unit fo more details.</descr>
           </element>
           <!-- argument Visibility: default -->
           <element name="FindAllFiles.SearchSubDirs">
    
    findallfiles.doc.diff (1,337 bytes)

Relationships

related to 0024771 closedBart Broersma FindAllFiles fails to find my file: c:\1\28 may 

Activities

Bart Broersma

2013-08-03 17:08

developer  

findallfiles.doc.diff (1,337 bytes)
Index: docs/xml/lazutils/fileutil.xml
===================================================================
--- docs/xml/lazutils/fileutil.xml	(revision 42124)
+++ docs/xml/lazutils/fileutil.xml	(working copy)
@@ -1119,6 +1119,9 @@
       <!-- function result Visibility: default -->
       <element name="FindAllFiles.Result">
         <short>List of found files.</short>
+        <descr>List (TStringList) of found files.
+        The StringList is instantiated by the FindAllFiles function, so you should not instatiate it before calling
+        the function.</descr>
       </element>
       <!-- argument Visibility: default -->
       <element name="FindAllFiles.SearchPath">
@@ -1126,7 +1129,10 @@
       </element>
       <!-- argument Visibility: default -->
       <element name="FindAllFiles.SearchMask">
-        <short>Mask which file should match.</short>
+        <short>A list of masks, separated by a semicolon (;) to which found files should match.</short>
+        <descr>A list of masks, separated by a semicolon (;) to which found files should match.
+        The mask can contain wildcards like * and ? and it also supports sets like [a-d,x].
+        See the Masks unit fo more details.</descr>
       </element>
       <!-- argument Visibility: default -->
       <element name="FindAllFiles.SearchSubDirs">
findallfiles.doc.diff (1,337 bytes)

Bart Broersma

2013-08-03 17:09

developer   ~0069235

Patch for documentation (xml) attached.
I updated the wiki (http://wiki.lazarus.freepascal.org/findallfiles).
Unassigning, I have no commit rights in documentation.

Bart Broersma

2013-08-03 17:10

developer   ~0069236

Target 1.2 for review of patch.

Reinier Olislagers

2013-08-03 17:18

developer   ~0069238

Bedankt, Bart!

Bart Broersma

2013-08-08 22:41

developer   ~0069303

Please close if OK.

Issue History

Date Modified Username Field Change
2013-08-03 13:56 Reinier Olislagers New Issue
2013-08-03 13:56 Reinier Olislagers Status new => assigned
2013-08-03 13:56 Reinier Olislagers Assigned To => Bart Broersma
2013-08-03 13:57 Reinier Olislagers Relationship added related to 0024771
2013-08-03 17:08 Bart Broersma File Added: findallfiles.doc.diff
2013-08-03 17:09 Bart Broersma Note Added: 0069235
2013-08-03 17:09 Bart Broersma Assigned To Bart Broersma =>
2013-08-03 17:10 Bart Broersma Status assigned => confirmed
2013-08-03 17:10 Bart Broersma LazTarget - => 1.2
2013-08-03 17:10 Bart Broersma Note Added: 0069236
2013-08-03 17:10 Bart Broersma Target Version => 1.2.0
2013-08-03 17:18 Reinier Olislagers Note Added: 0069238
2013-08-08 22:41 Bart Broersma Fixed in Revision => r42371
2013-08-08 22:41 Bart Broersma Note Added: 0069303
2013-08-08 22:41 Bart Broersma Status confirmed => resolved
2013-08-08 22:41 Bart Broersma Resolution open => fixed
2013-08-08 22:41 Bart Broersma Assigned To => Bart Broersma
2013-08-09 15:10 Reinier Olislagers Status resolved => closed